Page MenuHomeFreeBSD

llvm-readobj: Attach to buildsystem
ClosedPublic

Authored by me_cameronkatri.com on Sep 22 2021, 6:10 PM.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 42080
Build 38968: arc lint + arc unit

Event Timeline

emaste added a subscriber: dim.

We should handle the llvm-strip man page as a separate change

Hm, one thing is missing: why do we need this tool? :) Last time I looked it was a tool specifically for llvm's regression tests. Do we really want to build this unconditionally?

In D32058#723538, @dim wrote:

Hm, one thing is missing: why do we need this tool? :) Last time I looked it was a tool specifically for llvm's regression tests. Do we really want to build this unconditionally?

readelf is just a symlink to readobj, so in order to have a full llvm binutils instead of elftoolchain with WITH_LLVM_BINUTILS we need llvm-readelf.

readelf is just a symlink to readobj, so in order to have a full llvm binutils instead of elftoolchain with WITH_LLVM_BINUTILS we need llvm-readelf.

Ah, I wasn't aware that we were replacing elftoolchain's readelf here. But in that case, it should be OK, I guess. For now, WITH_LLVM_BINUTILS isn't defaulted on, right?

This revision is now accepted and ready to land.Sep 22 2021, 7:24 PM
In D32058#723551, @dim wrote:

readelf is just a symlink to readobj, so in order to have a full llvm binutils instead of elftoolchain with WITH_LLVM_BINUTILS we need llvm-readelf.

Ah, I wasn't aware that we were replacing elftoolchain's readelf here. But in that case, it should be OK, I guess. For now, WITH_LLVM_BINUTILS isn't defaulted on, right?

Well it will be built and installed as llvm-readobj and llvm-readelf, just like llvm-ar, but if WITH_LLVM_BINUTILS is set then readobj and readelf links will be setup.

This revision now requires review to proceed.Oct 11 2021, 11:28 PM

Other than my minor comment this LGTM.

usr.bin/clang/llvm-readobj/Makefile
24

I don't think we need a readobj symlink. Just llvm-readobj+llvm-readelf (and readelf with MK_LLVM_BINUTILS should be enough.

I'm also not entirely sure whether we need to install as llvm-readobj since the GNU output format is the only stable one.

This revision is now accepted and ready to land.Oct 12 2021, 7:23 AM
This revision was automatically updated to reflect the committed changes.